Last Comment Bug 693259 - GCLI needs a 'pref' command
: GCLI needs a 'pref' command
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: Firefox 15
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
Depends on:
Blocks: 723120 GCLICMD
  Show dependency treegraph
 
Reported: 2011-10-10 03:07 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-06-27 11:34 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
upload 1 (8.92 KB, patch)
2012-02-09 13:10 PST, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Review
Upload 2 (45.67 KB, patch)
2012-05-29 03:53 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-10 03:07:49 PDT
This command allows the user to edit mozilla preferences (i.e. about:config)
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-18 09:59:01 PST
Moving GCLI bugs to Developer Tools: Console. Filter on 'baked beans are off'.
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-01-13 09:30:44 PST
Triage. Filter on PEGASUS.
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-01-13 09:32:04 PST
Triage. Filter on PEGASUS.
Comment 4 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-02-09 13:10:26 PST
Created attachment 595861 [details] [diff] [review]
upload 1

Work in progress
Comment 5 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-04-29 10:19:08 PDT
GCLI Triage.
Comment 6 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-04-29 10:26:33 PDT
GCLI Triage.
Comment 7 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-29 03:53:28 PDT
Created attachment 627898 [details] [diff] [review]
Upload 2

Adds tests to what you've seen in https://github.com/campd/gcli/pull/45
Comment 8 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-29 11:31:37 PDT
https://tbpl.mozilla.org/?tree=Try&rev=77f745e77098
Comment 9 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-05-30 01:05:25 PDT
https://tbpl.mozilla.org/?tree=Fx-Team&rev=7df3e6796d1f
Comment 10 Dave Camp (:dcamp) 2012-05-30 19:32:33 PDT
https://hg.mozilla.org/mozilla-central/rev/7df3e6796d1f

Note You need to log in before you can comment on or make changes to this bug.